{% extends 'base.html' %}
{% load static %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/form_forum.css' %}">
{% endblock css %}
{% block title %}
Forum
{% endblock title %}
{% block content %}
<section id="form-forum-section">
    <div class="form-wrapper" style="margin-top: 80px">
        <div class="form-top">
            <div id="title-form">
                <h1>Register</h1>
            </div>
        </div>
        <hr>
        <div class="form-body">
            <form id="form" method="POST" action="{% url 'account:register' %}">
                {% csrf_token %}
                {% for field in form %}
                <div class="form-field">
                        {{ field.label }}<br>
                        {{ field }}<br>
                        {% for error in field.errors %}
                        <small style="color:red;">{{error}}</small><br>
                        {% endfor %}
                </div>
                {% endfor %}
                <div id="button-form">
                    <button class="btn btn-outline-secondary btn-sm" value="submit" type="submit"> Submit</button>
                    <a class="btn btn-danger btn-sm" onclick="myFunction(this)">Cancel</a>
                </div>
                <small>Already have an account?</small>
                <a href="{% url 'account:login' %}">Sign In</a>
            </form>
        </div>
    </div>
</section>
{% endblock content %}
{% block script %}
<script>
    function myFunction(e) {
    if (confirm("Are you sure want to cancel?")) {
        window.location.href = "{% url 'home:home' %}"
    }
}

let doc = document.getElementsByTagName('input')
for (let field in doc)
    doc[field].className += "form-control"
</script>
{% endblock script %}